# 自然言語理解API python SDK

## バージョン
1.0.1（2022/07/13）

## 使用API
テキスト解析 自然言語理解 V2

## 構成環境
- Python 3.7 以降
- 以下のライブラリが動作する環境が必要となります。
https://requests.readthedocs.io/en/latest/

## 環境構築
### Python 3の導入
- Ubuntu/Debian GNU/Linuxの場合
```
sudo apt-get update
sudo apt-get install python3 python3-venv
```
- MaxOSX、Windows、その他の場合
https://www.python.org/downloads/ から適切なものをダウンロード

### 仮想環境の構築（推奨）
```
python3 -m venv .env
.env/bin/python -m pip install --upgrade pip setuptools wheel
source .env/bin/activate
```

### SDKの導入
```
pip install --upgrade -r requirements.txt
pip install .
```

## 注意事項
サンプルご利用の際は、利用規約をご覧ください。
利用規約は、ダウンロードパッケージ内のLICENSE.txtファイルに記載されています。
ダウンロードしたアーカイブファイルを展開すると下記のようになります。
```
.
├── LICENSE.txt
├── README.md
├── requirements.txt
├── samples
│   ├── chat
│   ├── context
│   ├── month
│   └── weather
├── setup.py
└── yj
    └── nlu
```
