# 文脈情報を活用するサンプル
自然言語理解APIでは、過去の対話履歴を参照して応答内容を変えることができます。  
このサンプルでは、APIに対話履歴の情報を渡すことで、応答内容が変わることを確認します。  

```
export NLU_API_APPID=<your YJDN NLU API appid>
python app.py < sample_input.txt
```

出力例は下記です。  
「そこの地図」を入力した場合のPARAM_PLACEの値が、直前の入力に応じて変わっていることが確認できます。
```
入力: 東京の天気
応答:
        METHOD  WEATHER
        PARAM_METHOD_SUBCAT     GENERAL
        PARAM_PLACE     東京
入力: そこの地図
応答:
        METHOD  MAP
        PARAM_METHOD_SUBCAT     GENERAL
        PARAM_PLACE     東京
入力: 大阪の天気
応答:
        METHOD  WEATHER
        PARAM_METHOD_SUBCAT     GENERAL
        PARAM_PLACE     大阪
入力: そこの地図
応答:
        METHOD  MAP
        PARAM_METHOD_SUBCAT     GENERAL
        PARAM_PLACE     大阪
```
